Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface ParamBinding

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ParamBinding

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Param Binding'.

The following features are supported:

- `Slot`
- `Param`

See Also:
  `SvcorchPackage.getParamBinding()`

Method Summary
`Param` | `getParam()` Returns the value of the 'Param' reference
`DataSlot` | `getSlot()` Returns the value of the 'Slot' reference
`void` | `setParam(Param value)` Sets the value of the '`Param`' reference
`void` | `setSlot(DataSlot value)` Sets the value of the '`Slot`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSlot

    DataSlot getSlot()

  Returns the value of the 'Slot' reference.

  If the meaning of the 'Slot' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' reference.
  See Also:
    `setSlot(DataSlot)`, `SvcorchPackage.getParamBinding_Slot()`

### setSlot

    void setSlot(DataSlot value)

  Sets the value of the '`Slot`' reference.

  Parameters:
    `value` - the new value of the 'Slot' reference.
  See Also:
    `getSlot()`

### getParam

    Param getParam()

  Returns the value of the 'Param' reference.

  If the meaning of the 'Param' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Param' reference.
  See Also:
    `setParam(Param)`, `SvcorchPackage.getParamBinding_Param()`

### setParam

    void setParam(Param value)

  Sets the value of the '`Param`' reference.

  Parameters:
    `value` - the new value of the 'Param' reference.
  See Also:
    `getParam()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD